Subject: Re: [bug#47605] [PATCH] gnu: Add emacs-mode-line-idle.
From: Nicolas Goaziou <[email-masked]>
To: Eugene Klimov via Guix-patches via <[email-masked]>
Cc: Eugene Klimov <[email-masked]>, [email-masked]
Date: Sun, 11 Apr 2021 11:11:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Eugene Klimov via Guix-patches via <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-mode-line-idle): New variable.

Thank you. I applied the patch with the tweaks below.

> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url "https://gitlab.com/ideasman42/emacs-mode-line-idle.git")

I removed the ".git" suffix

> +      (description
> +       "Mode Line Idle (mode-line-idle.el) is a minor mode that
> +provides a convenient way to defer text evaluation in a way that can
> +be easily integrated into existing mode-line's without requiring a
> +minor mode or configuration.

I slightly reworded this part, which looks very odd, to say the least.

> +Mode Line Idle helps to add useful information into the mode-line
> +without slowing down Emacs performance.  While delaying updates is not
> +so difficult, having multiple timers can become awkward when mixed in
> +with the mode-lines configuration.  Instead of avoiding expensive
> +information in the mode-line, it can be calculated when idle.")

I removed this part of the description, since it is a detail of
implementation.

For future patches, please avoid inserting the package definition at the
end of the file, as this is more likely to introduce merge conflicts.
You wouldn't want to make my life miserable, would you ? ;)

Regards,
-- 
Nicolas Goaziou